Summary:	Gnome Scanner Utility
Name:		gnomescan
Version:	0.4.0.2
Release:	1%{?dist}
Group:		Applications/System
License:	GPL
URL:		http://home.gna.org/gnomescan/
Source0:	http://download.gna.org/gnomescan/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel libgnomeui-devel sane-backends-devel gimp-devel
BuildRequires:	gettext perl(XML::Parser) pkgconfig libtool
BuildRequires:	desktop-file-utils

%package devel
Summary:	Development files for gnomescan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig gtk2-devel

%description
Gnome Scan aim to provide a sane scan infrastructure. Flegita provide
app and plugin on top of Gnome Scan for the desktop

%description devel
Contains development headers and libraries for gnomescan

%prep
%setup -q

%build
%configure --disable-static
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make LIBTOOL=/usr/bin/libtool DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--vendor fedora					\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_libdir}/lib%{name}*.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/gimp/2.0/plug-ins/*
%{_datadir}/applications/fedora-flegita.desktop
%{_datadir}/pixmaps/gnomescan/
%{_datadir}/pixmaps/*.svg
%{_datadir}/gtk-doc/html/gnomescan*/

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnomescan*.pc

%changelog
* Tue Jan 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.4.0.2-1
- Initial build for Extras

* Thu Dec 07 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- Initial build for Extras
